Subject: New Reply Received - I’m really disappointed, I’ve contacted you regarding this before and I was expecting an action!I ...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 08 May 2020 10:23:15 +0000

Hi Mhd Obiedo,  The customer has responded to the ticket.  I’m really disappointed, I’ve contacted you regarding this before and I was expecting an action!

I ...  Ticket comment <div>I have been contacting the customer service for more than a month now, and I have not received anything till this moment.
I want my money back!
I sent a complaint to the customer service telling them that I have not received the Giggles Emerald High Chair, and what they did? They sent me a message saying that they will send someone to pick it up to make a return!!!
How would I return something that I have never received at the first place!!
I want my money back.
I’m tired of contacting your customer service team who are showing no support at all.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/689297